package RunningFromChaos;
public class KeyboardState {

    public boolean[] Keys;
    public int LastPressedKey;

    public KeyboardState() {
        Keys = new boolean[256];
        LastPressedKey = 0;
        for (int i = 0; i < 255; i++) {
            Keys[i] = false;
        }
    }

    public void Down(int i) {
        Keys[i] = true;
        LastPressedKey = i;
    }

    public void Up(int i) {
        Keys[i] = false;
        if (LastPressedKey == i) {
            LastPressedKey = 0;
        }
    }
}
