package RunningFromChaos;
public class Mob {

    public int x;
    public int y;
    public int dx;
    public int dy;
    public int viewDistance;
    public boolean isAgressive;
    public boolean dangerous;

    public Mob(int xx, int yy, int dist, boolean agr, boolean dng) {
        x = xx;
        y = yy;
        dangerous = dng;
        viewDistance = dist;
        isAgressive = agr;
    }

    public void use(PlayerState z) {
        if (dangerous) {
            z.happyFull = z.happyFull - 1;
            Music.Play("Soundtracks/LifeDec.mp3");
        } else if (!isAgressive) {
            z.happyFull = z.happyFull + 1;
            Music.Play("Soundtracks/LifeInc.mp3");
        }
        if (!(isAgressive && !dangerous)) {
            x = -50;
            y = -50;
        }
    }

    public void update(PlayerState z) {
        dx = 0;
        dy = 0;
        int length = (z.x - x) * (z.x - x) + (z.y - y) * (z.y - y);
        if (length < 100) {
            use(z);
        } else if (length < viewDistance * viewDistance) {
            if (isAgressive) {
                if (z.x != x) {
                    if (z.x > x) {
                        dx = 1;
                    } else {
                        dx = -1;
                    }
                }

                if (z.y != y) {
                    if (z.y > y) {
                        dy = 1;
                    } else {
                        dy = -1;
                    }
                }
            } else {
                if (z.x != x) {
                    if (z.x > x) {
                        dx = -1;
                    } else {
                        dx = 1;
                    }
                }

                if (z.y != y) {
                    if (z.y > y) {
                        dy = -1;
                    } else {
                        dy = 1;
                    }
                }
            }
        }

    }

    public void update(PlayerState z1, PlayerState z2) {
        int length1 = (z1.x - x) * (z1.x - x) + (z1.y - y) * (z1.y - y);
        int length2 = (z2.x - x) * (z2.x - x) + (z2.y - y) * (z2.y - y);
        if (length1 > length2) {
            update(z2);
        } else {
            update(z1);
        }
        if (z1.happyFull == 1 && z2.happyFull == 3) {
            z1.happyFull++;
            z2.happyFull--;
        }
        if (z2.happyFull == 1 && z1.happyFull == 3) {
            z2.happyFull++;
            z1.happyFull--;
        }

    }
}