package RunningFromChaos;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;
import java.io.IOException;
import javax.swing.JDialog;
import javax.swing.JFrame;

public class RunningFromChaos {

    public static void main(String[] args) throws IOException {

        JDialog GameWindow = new JDialog((JFrame) null, "RUNNING FROM CHAOS");

        final GraphicWindow gameWindow = new GraphicWindow();

        GameWindow.addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                gameWindow.Resize();
            }
        });

        GameWindow.getContentPane().add(gameWindow);
        GameWindow.addKeyListener(new KeyAdapter() {
            @Override
            public void keyPressed(KeyEvent ev) {
                gameWindow.KeyDown(ev);
            }

            @Override
            public void keyReleased(KeyEvent ev) {
                gameWindow.KeyUp(ev);
            }
        });
        GameWindow.setVisible(true);
        GameWindow.setSize(800, 600);

        GameWindow.addWindowListener(new WindowListener() {
            @Override
            public void windowActivated(WindowEvent event) {
            }

            @Override
            public void windowClosed(WindowEvent event) {
            }

            @Override
            public void windowClosing(WindowEvent event) {
                System.exit(0);
            }

            @Override
            public void windowDeactivated(WindowEvent event) {
            }

            @Override
            public void windowDeiconified(WindowEvent event) {
            }

            @Override
            public void windowIconified(WindowEvent event) {
            }

            @Override
            public void windowOpened(WindowEvent event) {
            }
        });
    }
}
