package RunningFromChaos;
import java.awt.Graphics2D;
import java.io.IOException;

public class Symbols {

    public Picture[] alphabet;

    public Symbols() throws IOException {
        alphabet = new Picture[40];
        for (int i = 0; i < 25; i++) {
            alphabet[i] = new Picture("Alphabet/" + (char) (i + (int) 'A') + ".txt");
        }
        for (int i = 25; i < 35; i++) {
            alphabet[i] = new Picture("Alphabet/" + Others.IntToString(i - 25) + ".txt");
        }
        alphabet[35] = new Picture("Alphabet/s1.txt");//.
        alphabet[36] = new Picture("Alphabet/s2.txt");//!
        alphabet[37] = new Picture("Alphabet/s3.txt");//?
        alphabet[38] = new Picture("Alphabet/s4.txt");//"
        alphabet[39] = new Picture("Alphabet/s5.txt");//-
        
        for (int i = 0; i < 40; i++) alphabet[i].PixelSize=2;
    }

    public void Draw(Graphics2D g2, String Text, int x, int y) {
        int left = 0;
        for (int i = 0; i < Text.length(); i++) {
            if (Text.charAt(i) != ' ') {
                if (Text.charAt(i) >= 'A' && Text.charAt(i) <= 'Z') {
                    left += alphabet[(int) (Text.charAt(i) - 'A')].getSize();
                    alphabet[(int) (Text.charAt(i) - 'A')].Draw(g2, x + left, y);
                } else if (Text.charAt(i) >= '0' && Text.charAt(i) <= '9') {
                    left += alphabet[(int) (Text.charAt(i) - '0') + 25].getSize();
                    alphabet[(int) (Text.charAt(i) - '0') + 25].Draw(g2, x + left, y);
                } else if (Text.charAt(i) == '.') {
                    left += alphabet[35].getSize();
                    alphabet[35].Draw(g2, x + left, y);
                } else if (Text.charAt(i) == '!') {
                    left += alphabet[36].getSize();
                    alphabet[36].Draw(g2, x + left, y);
                } else if (Text.charAt(i) == '?') {
                    left += alphabet[37].getSize();
                    alphabet[37].Draw(g2, x + left, y);
                } else if (Text.charAt(i) == '"') {
                    left += alphabet[38].getSize();
                    alphabet[38].Draw(g2, x + left, y);
                } else if (Text.charAt(i) == '-') {
                    left += alphabet[39].getSize();
                    alphabet[39].Draw(g2, x + left, y);
                }
            } else {
                left += 6;
            }
        }
    }
}